## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel
Interface SybaseASAForeignKey

All Superinterfaces:
  Constraint, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, ForeignKey, org.eclipse.emf.common.notify.Notifier, ReferenceConstraint, SQLObject, SybaseASABaseForeignKey, TableConstraint

All Known Implementing Classes:
  SybaseASACatalogForeignKey, SybaseASAForeignKeyImpl

    public interface SybaseASAForeignKey

extends SybaseASABaseForeignKey

A representation of the model object 'Sybase ASA Foreign Key'.

The following features are supported:

- `Check On Commit`
- `Nullable`

See Also:
  `SybaseasasqlmodelPackage.getSybaseASAForeignKey()`

Method Summary
`boolean` `isCheckOnCommit()` Returns the value of the 'Check On Commit' attribute.
`boolean` `isNullable()` Returns the value of the 'Nullable' attribute.
`void` `setCheckOnCommit(boolean value)` Sets the value of the '`Check On Commit`' attribute.
`void` `setNullable(boolean value)` Sets the value of the '`Nullable`' attribute.

Methods inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseASABaseForeignKey
`getRoleName, isClustered, setClustered, setRoleName`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ForeignKey
`getMatch, getOnDelete, getOnUpdate, getReferencedMembers, getReferencedTable, getUniqueConstraint, getUniqueIndex, setMatch, setOnDelete, setOnUpdate, setReferencedTable, setUniqueConstraint, setUniqueIndex`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ReferenceConstraint
`getMembers`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isCheckOnCommit

    boolean isCheckOnCommit()

  Returns the value of the 'Check On Commit' attribute.

  If the meaning of the 'Check On Commit' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Check On Commit' attribute.
  See Also:
    `setCheckOnCommit(boolean)`, `SybaseasasqlmodelPackage.getSybaseASAForeignKey_CheckOnCommit()`

### setCheckOnCommit

    void setCheckOnCommit(boolean value)

  Sets the value of the '`Check On Commit`' attribute.

  Parameters:
    `value` - the new value of the 'Check On Commit' attribute.
  See Also:
    `isCheckOnCommit()`

### isNullable

    boolean isNullable()

  Returns the value of the 'Nullable' attribute.

  If the meaning of the 'Nullable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nullable' attribute.
  See Also:
    `setNullable(boolean)`, `SybaseasasqlmodelPackage.getSybaseASAForeignKey_Nullable()`

### setNullable

    void setNullable(boolean value)

  Sets the value of the '`Nullable`' attribute.

  Parameters:
    `value` - the new value of the 'Nullable' attribute.
  See Also:
    `isNullable()`